## NAME

gt-chseqids - Change sequence ids by the mapping given in a mapping file.

## SYNOPSIS

gt chseqids [option …] mapping_file [GFF3_file]

## DESCRIPTION

-sort [yes|no]

  sort the GFF3 features after changing the sequence ids (memory consumption is proportional to the input file size) (default: no)

-v [yes|no]

  be verbose (default: no)

-o [filename]

  redirect output to specified file (default: undefined)

-gzip [yes|no]

  write gzip compressed output file (default: no)

-bzip2 [yes|no]

  write bzip2 compressed output file (default: no)

-force [yes|no]

  force writing to output file (default: no)

-help

  display help and exit

-version

  display version information and exit

File format for mapping_file:

The supplied mapping file defines a mapping table named “chseqids”. It maps the `sequence-region` entries given in the GFF3_file to other names. It can be defined as follows:

    chseqids = {
      chr1  = "seq1",
      chr2  = "seq2"
    }

When this example is used, all sequence ids “chr1” will be changed to “seq1” and all sequence ids “chr2” to “seq2”.

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.